
   {  Exmpl_10.3-1_ShortestPath.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 10.3,  Example 1, Shortest path,  Size: 7x12  }

TITLE
    ShortestPath;

OPTIONS
   ExcelWorkbook="Exmpl_10.3-1_ShortestPath.xls"
   ExcelSheetName="SeervadaShortestPath"

INDEX
    node := EXCELRANGE("Node");
   
    FromNode := node;
    ToNode   := node;

DATA
    Distance[FromNode, ToNode] :=  EXCELSPARSE("NodeDistance", 4);

VARIABLES
    Path[FromNode, ToNode] WHERE (Distance > 0)
       EXPORT TO EXCELRANGE("Route");

MODEL

    MIN TotalDistance 
       EXPORT TO EXCELRANGE("TotalDistance")
       = SUM(FromNode, ToNode: Distance * Path);

SUBJECT TO

    FlowBalance[node] :

         1 IF (node=O) + SUM(FromNode: Path[FromNode, ToNode:=node]) 
      =        
         1 IF (node=T) + SUM(ToNode: Path[FromNode:=node, ToNode]);

END
