   
   {  Exmpl_10.6-1_MinCost.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 10.6,  Example 1,  Minimum cost flow,   Size: 7x7  }


TITLE
    MinimumCost;

OPTIONS
   ExcelWorkbook="Exmpl_10.6-1_MinCost.xls"
   ExcelSheetName="DistributionUnlimited"

INDEX
    node := EXCELRANGE("Node");

    FromNode := node;
    ToNode := node;

DATA
    UnitCost[FromNode, ToNode] := EXCELSPARSE("NodeUnitCost", 6);

    Capacity[FromNode, ToNode] := EXCELSPARSE("NodeUnitCost", 5);
    
    SupplyDemand[node] := EXCELRANGE("SupplyDemand");


VARIABLES
    Ship[FromNode,ToNode] WHERE (UnitCost > 0)
       EXPORT TO EXCELRANGE("Ship");

MODEL

    MIN TotalCost 
      EXPORT TO EXCELRANGE("TotalCost")
      = SUM(FromNode, ToNode: UnitCost * Ship);

SUBJECT TO

    FlowBalance[node]:

        SUM(FromNode: Ship[FromNode,ToNode:=node]) + SupplyDemand
      = 
        SUM(ToNode: Ship[FromNode:=node,ToNode]);


    MaxCapacity[FromNode, ToNode] WHERE (Capacity > 0):

       Ship <= Capacity;

END

