
   {  Exmpl_12.1-1_CalifManf.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 12.1,  Example 1,  Facility Location,  Size 4x4  }


TITLE
   CalifManufactCo;

OPTIONS
   ExcelWorkbook="Exmpl_12.1-1_CalifManf.xls"
   ExcelSheetName="California Mfg."

INDEX
   location := EXCELRANGE("location");

DATA
   NPV[location] := EXCELRANGE("NPV");
   Capital[location] := EXCELRANGE("Capital");  !In millions

BINARY VARIABLE
   x[location]
      EXPORT TO EXCELRANGE("xloc");

MODEL
   MAX TotalNPV 
      EXPORT TO EXCELRANGE("TotalNPV")
     = SUM(location: NPV * x);

SUBJECT TO
   Budget : SUM(location: Capital * x) <= 10;
   Warehouse : SUM(location = WLA..WSF: x) <= 1;
   Cnt[location=FLA..FSF] : -1*x + x[location+2] <=0;
   
END
