
   {  Exmpl_13.2-1_NonlinConstr.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 13.2,  Example 1,  Nonlinear constraint,  Size: 2x2  }

TITLE
    NonlinearConstraint;

OPTIONS
   ExcelWorkbook="Exmpl_13.2-1_NonlinConstr.xls"
   ExcelSheetName="WyndorNLConstraint"
   ModelType=Nonlinear

INDEX
    product :=  EXCELRANGE("Product");

DATA
    TimeAvail  := EXCELRANGE("TimeAvail"); 

    ProdTime[product] := EXCELRANGE("ProdTime");

    Profit[product]   := EXCELRANGE("Profit");

VARIABLES                            
    Produce[product] -> ""
       EXPORT TO EXCELRANGE("Produce");

MODEL

    MAX TotalProfit 
       EXPORT TO EXCELRANGE("TotalProfit")
       = SUM(product: Profit * Produce);

SUBJECT TO

    TimeCapacity -> TimeCap:

        SUM(product: ProdTime * Produce) <= TimeAvail;

    NLConstr:
       
        9 Produce[Doors]^2 + 5 Produce[Windows]^2 <= 216;

END

