
   {  Exmpl_13.2-2_NonlinObject.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 13.2,  Example 2,  Nonlinear objective,  Size: 3x2  }


TITLE
    NonlinearObjective;

OPTIONS
   ExcelWorkbook="Exmpl_13.2-2_NonlinObject.xls"
   ExcelSheetName="WyndorNLObjective1"
   ModelType=Nonlinear

INDEX
    product :=  EXCELRANGE("Product");
    plant   :=  EXCELRANGE("Plant");

DATA
    TimeAvail[plant]             := EXCELRANGE("TimeAvail"); 

    ProdTime[plant, product]     := EXCELRANGE("ProdTime");
 
VARIABLES                            
    Produce[product] -> Prod
       EXPORT TO EXCELRANGE("Produce");

MODEL

    MAX TotalProfit 
       EXPORT TO EXCELRANGE("TotalProfit")
       =   126 Produce[Doors]   -  9*Produce[Doors]^2
                      + 182 Produce[Windows] - 13 Produce[Windows]^2;

SUBJECT TO

    TimeCapacity[plant] -> TimeCap:

        SUM(product: ProdTime * Produce) <= TimeAvail;

END

