
   {  Exmpl_8.5-1_GoalProgramming.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 8.5,  Example 1,  Goal Programming,  Size: 3x7,  Supplement to Chapter 8  }


TITLE
   GoalProgramming;

OPTIONS
   ExcelWorkbook="Exmpl_8.5-1_GoalProgramming.xls"
   ExcelSheetName="Dewright"

INDEX
   product := EXCELRANGE("Product");
   factor  := EXCELRANGE("Factor");
   deviation := EXCELRANGE("Deviation");

DATA
   Goal[factor] :=  EXCELRANGE("Goal");

   PenaltyWeight[factor, deviation]  := EXCELRANGE("Penalty")

   UnitContrib[factor, product] := EXCELRANGE("UnitContrib")

DECISION VARIABLES
   ProdRate[product]
       EXPORT TO EXCELRANGE("Contribution");
   Amount[factor, deviation] !WHERE (PenaltyWeight > 0)
       EXPORT TO EXCELRANGE("Deviations");

MODEL
   
   MIN WeightedSum 
     EXPORT TO EXCELRANGE("WeightedDev")
     = SUM(factor, deviation  : PenaltyWeight * Amount);

SUBJECT TO

   Calc[factor] :

        SUM(product: ProdRate * UnitContrib) 
     = 
        Goal + Amount[deviation:="Over"] - Amount[deviation:="Under"];

END
