
   {  Exmpl_3.4-1_MarysRadiation.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 3.4,  Example 1,  Blending/Radiation Dosage,  Size: 3x2  }



TITLE
   MarysRadiationTherapy;

OPTIONS
   ExcelWorkbook="Exmpl_3.4-1_MarysRadiation.xls"
   ExcelSheetName="Mary"

INDEX
   beam        := EXCELRANGE("beam");
   bodyarea    := EXCELRANGE("Bodyarea");

DATA
   HealthyAnatomy[beam]  := EXCELRANGE("HealthyAnatomy");

   DosageAbsorbed[bodyarea, beam]  := EXCELRANGE("DosageAbsorbed");

   Restriction[bodyarea]  := EXCELRANGE("Restriction");

VARIABLE         
   Dosage[beam]
      EXPORT TO EXCELRANGE("Dosage");

MODEL

   MIN TotalHealthyDosage 
     EXPORT TO EXCELRANGE("TotalHealthyDosage")
     = SUM(beam:  HealthyAnatomy * Dosage);


SUBJECT TO

   RestrictDosage[bodyarea="Critical Tissues"] :

      SUM(beam: DosageAbsorbed * Dosage) <= Restriction;

   RestrictDosage[bodyarea="Tumor Region"] :

      SUM(beam: DosageAbsorbed * Dosage) = Restriction;

   RestrictDosage[bodyarea="Center of Tumor"] :

      SUM(beam: DosageAbsorbed * Dosage) >= Restriction;

END
