
   {  Exmpl_3.4-3_NoriAndLeets.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 3.4,  Example 3,  Blending/Reducing Pollution,  Size: 3x6  }


TITLE
    NoriLeetsAirPollution;

OPTIONS
   ExcelWorkbook="Exmpl_3.4-3_NoriAndLeets.xls"
   ExcelSheetName="Nori & Leets"
           
INDEX
    pollutant := EXCELRANGE("Pollutant");
    furnace   := EXCELRANGE("furnace");
    abatement := EXCELRANGE("Abatement");

DATA
    RequiredReduction[pollutant] := EXCELRANGE("RequiredReduction");

    ReducedEmissionRate[pollutant, abatement, furnace] 
        := EXCELRANGE("ReducedEmissionRate");

    AnnualCost[abatement, furnace] := EXCELRANGE ("AnnualCost");

      
VARIABLES
    UseMethod[abatement, furnace]
       EXPORT TO EXCELRANGE("UseMethod");

MODEL

    MIN  TotalCost 
       EXPORT TO EXCELRANGE("TotalCost")
       = SUM(abatement, furnace: AnnualCost * UseMethod);

SUBJECT TO
    EmissionReduction[pollutant] :

       SUM(furnace, abatement: ReducedEmissionRate * UseMethod) >= RequiredReduction;

BOUNDS
    UseMethod  <=  1;

END

