
   {  Exmpl_8.3-1_UpperBound.mpl  }

   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }

   {  Chapter 8.3,  Example 1,  Upper Bound,  Size: 2x3  }


TITLE
    Upper_Bound;

OPTIONS
   ExcelWorkbook="Exmpl_8.3-1_UpperBound.xls"
   ExcelSheetName="UpperBound"

INDEX
    activity1     :=  EXCELRANGE("Activity");
    constraint1   :=  EXCELRANGE("Constraint");

DATA
    ResourceAvail[constraint1]         := EXCELRANGE("ResourceAvail"); 

    ResourceUse[constraint1, activity1] := EXCELRANGE("ResourceUse");

    UnitProfit[activity1]              := EXCELRANGE("UnitProfit");

    UpperBound1[activity1]              := EXCELRANGE("UpperBound");
 
VARIABLES                            
    Produce[activity1] -> Prod
       EXPORT TO EXCELRANGE("Produce");

MODEL

    MAX TotalProfit 
      EXPORT TO EXCELRANGE("TotalProfit")
      = SUM(activity1: UnitProfit * Produce);

SUBJECT TO

    TimeCapacity[constraint1] -> TimeCap:

        SUM(activity1: ResourceUse * Produce) <= ResourceAvail;

BOUNDS
        Produce  <= UpperBound1;

END


