
   {  Exmpl_9.1-2_NorthAirplane.mpl  }
 
   {  Hillier and Lieberman, Introduction to Operations Research, 10th ed.  }
  
   {  Chapter 9.1,  Example 2, Transportation, Size 9x20  }


TITLE
   NorthernAirplane;

OPTIONS
   ExcelWorkbook="Exmpl_9.1-2_NorthAirplane.xls"
   ExcelSheetName="Northern Airplane"

INDEX   
   produce :=  EXCELRANGE("produce");
   install :=  EXCELRANGE("install");

DATA
   M := 999;
   DistCost[produce, install] :=  EXCELRANGE("DistCost");
   Supply[produce] :=  EXCELRANGE("Supply");
   Demand[install] :=  EXCELRANGE("Demand");
VARIABLE
   Engines[produce, install] -> Eng
       EXPORT TO EXCELRANGE("Engines");

MODEL
   MIN TotalCost 
      EXPORT TO EXCELRANGE("TotalCost")
      = SUM(produce, install: DistCost * Engines);

SUBJECT TO
   Production[produce] : SUM(install: Engines) = Supply;
   Installations[install] : SUM(produce : Engines) = Demand;

END

